Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface LifecycleModuleConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NamedConfigElement, NotificationBroadcaster, NotificationEmitter

public interface LifecycleModuleConfig
extends NamedConfigElement

representing a <lifecycle-module>.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`java.lang.String` | `getClasspath()`
`boolean` | `getEnabled()`
`java.lang.String` | `getLoadOrder()`
`java.lang.String` | `getName()` Get the name of this item.
`boolean` | `isFailureFatal()`
`void` | `setClasspath(java.lang.String classpath)`
`boolean` | `setEnabled(boolean enabled)`
`boolean` | `setFailureFatal(boolean isFatal)`
`void` | `setLoadOrder(java.lang.String order)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `AMX`
  Get the name of this item. Same as the value of the 'name' property within the ObjectName.

  Specified by:
    `getName` in interface `AMX`
  Returns:
    the "name" property value as found inside the ObjectName
  See Also:
    `AMX.NAME_KEY`

### getClasspath

    public java.lang.String getClasspath()

### setClasspath

    public void setClasspath(java.lang.String classpath)

### getLoadOrder

    public java.lang.String getLoadOrder()

### setLoadOrder

    public void setLoadOrder(java.lang.String order)

### isFailureFatal

    public boolean isFailureFatal()

### setFailureFatal

    public boolean setFailureFatal(boolean isFatal)

### getEnabled

    public boolean getEnabled()

### setEnabled

    public boolean setEnabled(boolean enabled)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.